Edit

Table Shortcuts - Get Shortcut

Returns the properties of a table shortcut under a database.

Permissions

The caller must have read permissions for the KQL database.

Required Delegated Scopes

All of the below scopes are required:

  • KQLDatabase.Read.All or KQLDatabase.ReadWrite.All or Item.Read.All or Item.ReadWrite.All
  • OneLake.Read.All or OneLake.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/kqlDatabases/{kqlDatabaseId}/shortcuts/{shortcutName}

URI Parameters

Name In Required Type Description
kqlDatabaseId
path True

string (uuid)

The KQL database ID.

shortcutName
path True

string

The name of the shortcut

workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

TableShortcut

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • TableShortcutNotFound - The requested table shortcut was not found.

Examples

Get a table shortcut in a database example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces/cbe5fdd7-a54e-40d2-ae3b-8d2f63ed6e4b/kqlDatabases/719688da-facb-4202-99e5-02626e4b32f6/shortcuts/PricesShortcut

Sample response

{
  "name": "PricesShortcut",
  "enableQueryAcceleration": true,
  "target": {
    "type": "OneLake",
    "oneLake": {
      "itemId": "1fce2608-78e8-4472-86bc-fa8ff3e26c8f",
      "workspaceId": "cbe5fdd7-a54e-40d2-ae3b-8d2f63ed6e4b",
      "path": "Tables/Prices"
    }
  }
}

Definitions

Name Description
AdlsGen2

An object containing the properties of the target ADLS Gen2 data source.

AmazonS3

An object containing the properties of the target Amazon S3 data source.

AzureBlobStorage

An object containing the properties of the target Azure Blob Storage data source.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GoogleCloudStorage

An object containing the properties of the target Google Cloud Storage data source.

OneLake

An object containing the properties of the target OneLake data source.

S3Compatible

An object containing the properties of the target S3 compatible data source.

ShortcutType

Target type of the shortcut. String value representing one of the supported datasources. Additional ShortcutType types may be added over time.

TableShortcut

Properties of a table shortcut.

Target

An object that contains the target datasource, and must specify exactly one of the supported destinations as described in the table below.

AdlsGen2

An object containing the properties of the target ADLS Gen2 data source.

Name Type Description
connectionId

string (uuid)

A string representing the connection that is bound with the shortcut. The connectionId is a unique identifier used to establish a connection between the shortcut and the target datasource. To find this connection ID, first create a cloud connection to be used by the shortcut when connecting to the ADLS data location. Open the cloud connection's Settings view and copy the connection ID; this is a GUID.

location

string (uri)

Specifies the location of the target ADLS container. The URI must be in the format https://[account-name].dfs.core.windows.net where [account-name] is the name of the target ADLS account.

subpath

string

Specifies the container and subfolder within the ADLS account where the target folder is located. Must be of the format [container]/[subfolder] where [container] is the name of the container that holds the files and folders; [subfolder] is the name of the subfolder within the container (optional). For example: /mycontainer/mysubfolder

AmazonS3

An object containing the properties of the target Amazon S3 data source.

Name Type Description
connectionId

string (uuid)

A string representing the connection that is bound with the shortcut. The connectionId is a unique identifier used to establish a connection between the shortcut and the target datasource. To find this connection ID, first create a cloud connection to be used by the shortcut when connecting to the Amazon S3 data location. Open the cloud connection's Settings view and copy the connection ID; this is a GUID.

location

string (uri)

HTTP URL that points to the target bucket in S3. The URL should be in the format https://[bucket-name].s3.[region-code].amazonaws.com, where "bucket-name" is the name of the S3 bucket you want to point to, and "region-code" is the code for the region where the bucket is located. For example: https://my-s3-bucket.s3.us-west-2.amazonaws.com

subpath

string

Specifies a target folder or subfolder within the S3 bucket.

AzureBlobStorage

An object containing the properties of the target Azure Blob Storage data source.

Name Type Description
connectionId

string (uuid)

A string representing the connection that is bound with the shortcut. The connectionId is a unique identifier used to establish a connection between the shortcut and the target datasource. To find this connection ID, first create a cloud connection to be used by the shortcut when connecting to the Azure Blob Storage data location. Open the cloud connection's settings view and copy the GUID that is the connection ID.

location

string (uri)

Specifies the location of the target Azure Blob Storage container. The URI must be in the format https://[account-name].blob.core.windows.net where [account-name] is the name of the target Azure Blob Storage account.

subpath

string

Specifies the container and subfolder within the Azure Blob Storage account where the target folder is located. Must be of the format [container]/[subfolder]. [Container] is the name of the container that holds the files and folders. [Subfolder] is the name of the subfolder within the container and is optional. For example: /mycontainer/mysubfolder

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GoogleCloudStorage

An object containing the properties of the target Google Cloud Storage data source.

Name Type Description
connectionId

string (uuid)

A string representing the connection that is bound with the shortcut. The connectionId is a unique identifier used to establish a connection between the shortcut and the target datasource.

location

string (uri)

HTTP URL that points to the target bucket in GCS. The URL should be in the format https://[bucket-name].storage.googleapis.com, where [bucket-name] is the name of the bucket you want to point to. For example: https://my-gcs-bucket.storage.googleapis.com

subpath

string

Specifies a target folder or subfolder within the GCS bucket. For example: /folder

OneLake

An object containing the properties of the target OneLake data source.

Name Type Description
connectionId

string (uuid)

A string representing the connection that is bound with the shortcut. The connectionId is a unique identifier used to establish a connection between the shortcut and the target datasource. To find this connection ID, first create a cloud connection to be used by the shortcut when connecting to the Amazon S3 data location. Open the cloud connection's Settings view and copy the connection ID; this is a GUID.

itemId

string (uuid)

The ID of the target in OneLake. The target can be an item of Lakehouse, KQLDatabase, or Warehouse.

path

string

A string representing the full path to the target folder within the Item. This path should be relative to the root of the OneLake directory structure. For example: "Tables/myTablesFolder/someTableSubFolder".

workspaceId

string (uuid)

The ID of the target workspace.

S3Compatible

An object containing the properties of the target S3 compatible data source.

Name Type Description
bucket

string

Specifies the target bucket within the S3 compatible location.

connectionId

string (uuid)

A string representing the connection that is bound with the shortcut. The connectionId is a unique identifier used to establish a connection between the shortcut and the target datasource.

location

string (uri)

HTTP URL of the S3 compatible endpoint. This endpoint must be able to receive ListBuckets S3 API calls. The URL must be in the non-bucket specific format; no bucket should be specified here. For example: https://s3endpoint.contoso.com

subpath

string

Specifies a target folder or subfolder within the S3 compatible bucket. For example: /folder

ShortcutType

Target type of the shortcut. String value representing one of the supported datasources. Additional ShortcutType types may be added over time.

Value Description
OneLake

Specifies target properties for OneLake datasource.

AmazonS3

Specifies target properties for Amazon S3 datasource.

AdlsGen2

Specifies target properties for AdlsGen2 datasource.

GoogleCloudStorage

Specifies target properties for GoogleCloudStorage datasource.

S3Compatible

Specifies target properties for S3Compatible datasource.

AzureBlobStorage

Specifies target properties for AzureBlobStorage datasource.

TableShortcut

Properties of a table shortcut.

Name Type Description
enableQueryAcceleration

boolean

A boolean flag indicating whether the shortcut has query acceleration enabled.

name

string

The table shortcut name. The table shortcut name cannot contain the following characters: ? : / \ " ] [ + # %

target

Target

An object that contains the target datasource, and it must specify exactly one of the supported destinations: OneLake, Amazon S3, ADLS Gen2, Google Cloud Storage, S3 compatible or Azure Blob storage

Target

An object that contains the target datasource, and must specify exactly one of the supported destinations as described in the table below.

Name Type Description
adlsGen2

AdlsGen2

An object containing the properties of the target ADLS Gen2 data source.

amazonS3

AmazonS3

An object containing the properties of the target Amazon S3 data source.

azureBlobStorage

AzureBlobStorage

An object containing the properties of the target Azure Blob Storage data source.

googleCloudStorage

GoogleCloudStorage

An object containing the properties of the target Google Cloud Storage data source.

oneLake

OneLake

An object containing the properties of the target OneLake data source.

s3Compatible

S3Compatible

An object containing the properties of the target S3 compatible data source.

type

ShortcutType

Target type of the shortcut. String value representing one of the supported datasources.